diff mbox

[v3,2/3] qemu-io: Add regression tests

Message ID 20170128035929.10168-2-nirsof@gmail.com (mailing list archive)
State New, archived
Headers show

Commit Message

Nir Soffer Jan. 28, 2017, 3:59 a.m. UTC
From: Nir Soffer <nsoffer@redhat.com>

Add regression tests checking that qemu-io fail with non-zero exit code
when reading non-existing file or using the wrong format.

Signed-off-by: Nir Soffer <nirsof@gmail.com>
---
 tests/qemu-iotests/173     | 59 ++++++++++++++++++++++++++++++++++++++++++++++
 tests/qemu-iotests/173.out |  9 +++++++
 tests/qemu-iotests/group   |  1 +
 3 files changed, 69 insertions(+)
 create mode 100755 tests/qemu-iotests/173
 create mode 100644 tests/qemu-iotests/173.out

Comments

Fam Zheng Feb. 6, 2017, 10:20 a.m. UTC | #1
On Sat, 01/28 05:59, Nir Soffer wrote:
> From: Nir Soffer <nsoffer@redhat.com>
> 
> Add regression tests checking that qemu-io fail with non-zero exit code
> when reading non-existing file or using the wrong format.
> 
> Signed-off-by: Nir Soffer <nirsof@gmail.com>

This message is not correctly threaded as a reply to a v3 cover letter, and it's
hard to review. Please check your git command lines comform to the instructions
in

http://wiki.qemu-project.org/Contribute/SubmitAPatch#Submitting_your_Patches

Particularly, --cover-letter and --thread should be used in git-format-email.

Fam
Nir Soffer Feb. 6, 2017, 2:25 p.m. UTC | #2
This was created by mistake with --no-thread and no cover letter, I
was confused by the instructions in the wiki, warning not to send
multiple patches in the same thread.

I already sent v4 and v5 properly.

Thanks for the comments,
Nir

On Mon, Feb 6, 2017 at 12:20 PM, Fam Zheng <famz@redhat.com> wrote:
> On Sat, 01/28 05:59, Nir Soffer wrote:
>> From: Nir Soffer <nsoffer@redhat.com>
>>
>> Add regression tests checking that qemu-io fail with non-zero exit code
>> when reading non-existing file or using the wrong format.
>>
>> Signed-off-by: Nir Soffer <nirsof@gmail.com>
>
> This message is not correctly threaded as a reply to a v3 cover letter, and it's
> hard to review. Please check your git command lines comform to the instructions
> in
>
> http://wiki.qemu-project.org/Contribute/SubmitAPatch#Submitting_your_Patches
>
> Particularly, --cover-letter and --thread should be used in git-format-email.
>
> Fam
Fam Zheng Feb. 6, 2017, 2:41 p.m. UTC | #3
On Mon, 02/06 16:25, Nir Soffer wrote:
> This was created by mistake with --no-thread and no cover letter, I
> was confused by the instructions in the wiki, warning not to send
> multiple patches in the same thread.
> 
> I already sent v4 and v5 properly.

Nice, I didn't notice it! (My mailbox is overwhelming after Chinese new year
holidays, thanks for going through the reviewing iterations quickly!)

Fam
diff mbox

Patch

diff --git a/tests/qemu-iotests/173 b/tests/qemu-iotests/173
new file mode 100755
index 0000000..1d1fd6d
--- /dev/null
+++ b/tests/qemu-iotests/173
@@ -0,0 +1,59 @@ 
+#!/bin/bash
+#
+# Test that qemu-io fail with non-zero exit code
+#
+# Copyright (C) 2017 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+# creator
+owner=nirsof@gmail.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+status=1	# failure is the default!
+
+_cleanup()
+{
+	_cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+_supported_fmt raw
+
+
+size=256K
+_make_test_img $size
+
+echo
+echo "== reading wrong format should fail =="
+$QEMU_IO -f qcow2 -c "read 0 $size" "$TEST_IMG" 2>&1 | _filter_testdir
+test "${PIPESTATUS[0]}" -eq 1 || _fail "did not fail"
+
+echo
+echo "== reading missing file should fail =="
+$QEMU_IO -c "read 0 $size" "$TEST_DIR/missing" 2>&1 | _filter_testdir
+test "${PIPESTATUS[0]}" -eq 1 || _fail "did not fail"
+
+# success, all done
+echo "*** done"
+rm -f $seq.full
+status=0
diff --git a/tests/qemu-iotests/173.out b/tests/qemu-iotests/173.out
new file mode 100644
index 0000000..47012a3
--- /dev/null
+++ b/tests/qemu-iotests/173.out
@@ -0,0 +1,9 @@ 
+QA output created by 173
+Formatting 'TEST_DIR/t.IMGFMT', fmt=IMGFMT size=262144
+
+== reading wrong format should fail ==
+can't open device TEST_DIR/t.raw: Image is not in qcow2 format
+
+== reading missing file should fail ==
+can't open device TEST_DIR/missing: Could not open 'TEST_DIR/missing': No such file or directory
+*** done
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
index 866c1a0..069a5f3 100644
--- a/tests/qemu-iotests/group
+++ b/tests/qemu-iotests/group
@@ -165,3 +165,4 @@ 
 170 rw auto quick
 171 rw auto quick
 172 auto
+173 auto